org.jbpm.services.task.commands

## Class GetTasksForProcessCommand

- java.lang.Object
- - org.jbpm.services.task.commands.TaskCommand<List<org.kie.api.task.model.TaskSummary>>
  - - org.jbpm.services.task.commands.GetTasksForProcessCommand

- All Implemented Interfaces:
    Serializable, org.drools.core.command.impl.ExecutableCommand<List<org.kie.api.task.model.TaskSummary>>, org.kie.api.command.Command<List<org.kie.api.task.model.TaskSummary>>, org.kie.internal.command.ProcessInstanceIdCommand

      public class GetTasksForProcessCommand
      extends TaskCommand<List<org.kie.api.task.model.TaskSummary>>
      implements org.kie.internal.command.ProcessInstanceIdCommand

  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class org.jbpm.services.task.commands.TaskCommand

      `groupIds, targetEntityId, taskId, userId`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `GetTasksForProcessCommand()`
    `GetTasksForProcessCommand(Long processInstanceId, List<org.kie.api.task.model.Status> statuses, String language)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<org.kie.api.task.model.TaskSummary>` | `execute(org.kie.api.runtime.Context context)`
    `String` | `getLanguage()`
    `Long` | `getProcessInstanceId()`
    `List<org.kie.api.task.model.Status>` | `getStatuses()`
    `void` | `setLanguage(String language)`
    `void` | `setProcessInstanceId(Long processInstanceId)`
    `void` | `setStatuses(List<org.kie.api.task.model.Status> statuses)`

    - ### Methods inherited from class org.jbpm.services.task.commands.TaskCommand

      `getGroupsIds, getTargetEntityId, getTaskId, getUserId, setGroupsIds, setTargetEntityId, setTaskId, setUserId`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.drools.core.command.impl.ExecutableCommand

      `canRunInTransaction`

- - ### Constructor Detail

    - #### GetTasksForProcessCommand

          public GetTasksForProcessCommand()

    - #### GetTasksForProcessCommand

          public GetTasksForProcessCommand(Long processInstanceId,
                                           List<org.kie.api.task.model.Status> statuses,
                                           String language)

  - ### Method Detail

    - #### getProcessInstanceId

          public Long getProcessInstanceId()

      Specified by:
        `getProcessInstanceId` in interface `org.kie.internal.command.ProcessInstanceIdCommand`

    - #### setProcessInstanceId

          public void setProcessInstanceId(Long processInstanceId)

      Specified by:
        `setProcessInstanceId` in interface `org.kie.internal.command.ProcessInstanceIdCommand`

    - #### getStatuses

          public List<org.kie.api.task.model.Status> getStatuses()

    - #### setStatuses

          public void setStatuses(List<org.kie.api.task.model.Status> statuses)

    - #### getLanguage

          public String getLanguage()

    - #### setLanguage

          public void setLanguage(String language)

    - #### execute

          public List<org.kie.api.task.model.TaskSummary> execute(org.kie.api.runtime.Context context)

      Specified by:
        `execute` in interface `org.drools.core.command.impl.ExecutableCommand<List<org.kie.api.task.model.TaskSummary>>`

Copyright © 2001–2016 JBoss by Red Hat. All rights reserved.